// This sketch receives a remote command and and re-sends it.
// It is useful if you want to control a device that is far away, or in a diggerent room.
// You can have the receiver in the room where you are, poinnt the command to it and the
// command will be re-sent on the other room

#include "WirelessController.h"

#define PIN_DATA_OUT 2
#define PIN_DATA_IN 4

// Initialization of the controller. This code is generated automatically by SequenceDecoder
unsigned long mark_duration_827[3]  = {881, 1763, 90364};
int message_code_start_827[0]       = {};
int message_code_one_827[2]         = {-1, 1};
int message_code_zero_827[2]        = {1, -1};
int message_code_end_827[1]         = {-3};

WirelessController zonbox = WirelessController(mark_duration_827, message_code_start_827,
                               message_code_one_827, message_code_zero_827, message_code_end_827,
                               3, 0, 2, 1, 30, ENCODING_MANCHESTER, INPUT_ACTIVE_LOW, 14 );

// Byte buffer to save the messages
// The size of the buffer needs to be at least = (number_of_bits +7) / 8
byte message_buffer[2];

void setup() 
{  
    // Starts up the controller for both sending and receiving commands
    zonbox.intializeReading(PIN_DATA_IN);
    // When transmitting IR commands with an LED, set the second parameter to "true"
    // When transmitting commands with a radio emitter, set it to "false"
    zonbox.intializeWritting(PIN_DATA_OUT, true);
}

void loop() 
{
    // Checks if a new message has been received
    if (zonbox.codeReceived())
    {
        // When a new message is received, sends it again
        zonbox.getCode(message_buffer);
        zonbox.sendCode(message_buffer);
    }
}
