// This sketch uses the volume up and volume down keys os a samsung remote controller to turn
// a LED on or OFF

#include "WirelessController.h"

#define PIN_DATA_IN 4
#define LED_PIN 8

// Initialization of the controller. This code is generated automatically by SequenceDecoder
unsigned long mark_duration_345[4]  = {562, 1615, 4490, 46596};
int message_code_start_345[2]       = {3, -3};
int message_code_one_345[2]         = {1, -2};
int message_code_zero_345[2]        = {1, -1};
int message_code_end_345[2]         = {1, -4};
WirelessController samsung = WirelessController(mark_duration_345,
	 message_code_start_345, message_code_one_345, message_code_zero_345, message_code_end_345,
	 4, 2, 2, 2, 65, ENCODING_PULSE_WIDTH, INPUT_ACTIVE_LOW, 32);
	 
byte samsung_volume_up[4] = { 224, 224, 224, 31 };
byte samsung_volume_down[4] = { 224, 224, 208, 47 };


void setup() 
{  
    pinMode(LED_PIN, OUTPUT);
    samsung.intializeReading(PIN_DATA_IN);
}

void loop() 
{
    // Checks if a new message has been received
    if (samsung.codeReceived())
    {
        // Pressing the volume up button turns the LED on
        if (samsung.compareCode(samsung_volume_up))
        {
            digitalWrite(LED_PIN, HIGH);
        }
        // Pressing the volume dows button turns the LED off
        if (samsung.compareCode(samsung_volume_down))
        {
            digitalWrite(LED_PIN, LOW);
        }
    }
}
