// This sketch sends a volupe up command to a samsung TV when the button is pressed
#include "WirelessController.h"

#define PIN_DATA_OUT 6
#define PIN_BUTTON 10

// Initialization of the controller. This code is generated automatically by SequenceDecoder
unsigned long mark_duration_345[4]  = {562, 1615, 4490, 46596};
int message_code_start_345[2]       = {3, -3};
int message_code_one_345[2]         = {1, -2};
int message_code_zero_345[2]        = {1, -1};
int message_code_end_345[2]         = {1, -4};
WirelessController samsung = WirelessController(mark_duration_345, message_code_start_345, 
                             message_code_one_345, message_code_zero_345, message_code_end_345,
	                     4, 2, 2, 2, 65, ENCODING_PULSE_WIDTH, INPUT_ACTIVE_LOW, 32);
						 
byte samsung_volume_up[4] = { 224, 224, 224, 31 };

void setup() 
{  
    pinMode(PIN_BUTTON, INPUT);
    // Initializes the controller to send data and modulate the ourput
    // When transmitting IR commands with an LED, set the second parameter to "true"
    // When transmitting commands with a radio emitter, set it to "false"
    samsung.intializeWritting(PIN_DATA_OUT, true);
}

void loop() 
{
    // Checks if the button is being pressed
    if (digitalRead(PIN_BUTTON))
    {
        // If the button is being pressed, sends the command
        samsung.sendCode(samsung_volume_up);
    }
}
